public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Craig Andrews" <candrews@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocm-opencl-driver/
Date: Wed, 14 Aug 2019 20:54:42 +0000 (UTC)	[thread overview]
Message-ID: <1565816076.7a04b81d599fa2ed2d884517e8466ca9505fb8f1.candrews@gentoo> (raw)

commit:     7a04b81d599fa2ed2d884517e8466ca9505fb8f1
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 14 01:05:36 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Wed Aug 14 20:54:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a04b81d

dev-libs/rocm-opencl-driver: 2.7.0 version bump

Package-Manager: Portage-2.3.71, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-libs/rocm-opencl-driver/Manifest               |  1 +
 .../rocm-opencl-driver-2.7.0.ebuild                | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-libs/rocm-opencl-driver/Manifest b/dev-libs/rocm-opencl-driver/Manifest
index 825e4bf6fab..3bc73da7109 100644
--- a/dev-libs/rocm-opencl-driver/Manifest
+++ b/dev-libs/rocm-opencl-driver/Manifest
@@ -1 +1,2 @@
 DIST rocm-opencl-driver-2.6.0.tar.gz 21311 BLAKE2B f17219b577ccd58de052d5936953fd78588a0b042ce002853b10c05e6f6d433edcd90045c15dcd2f2c31ccef89f8b420ef756a1dd1613702efcc8868163878d1 SHA512 7b8bf646d9a36b09d75a0408301c2f1771daad95b8075b1671ca0c8b1f5826e8cd9de8935946858268dc89863a0ee054b4dde3040c84dd37e90f28c7ffa6e097
+DIST rocm-opencl-driver-2.7.0.tar.gz 21312 BLAKE2B 8c7233e8c5de2d92d0604a832475a474e5a171853f435908dbe73ab41d077f9f4c2d7069546b4e660d900c02cccf1f77d85d2fbe5ddb52fdde4c32d6c26910a2 SHA512 ee14bbbf502ffc00fd9e1e04224ae8109c8603d44438cddde8951c2d2caf5d45b94d39eb184af66462b4029759064aab0e2312b44fdd3f925064ebe6097ac49b

diff --git a/dev-libs/rocm-opencl-driver/rocm-opencl-driver-2.7.0.ebuild b/dev-libs/rocm-opencl-driver/rocm-opencl-driver-2.7.0.ebuild
new file mode 100644
index 00000000000..f95628a7cb7
--- /dev/null
+++ b/dev-libs/rocm-opencl-driver/rocm-opencl-driver-2.7.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+if [[ ${PV} == *9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Driver/"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Driver/archive/roc-${PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/ROCm-OpenCL-Driver-roc-${PV}"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Radeon Open Compute OpenCL Compiler Tool Driver"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Driver"
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+IUSE="test"
+
+RDEPEND=">=sys-devel/llvm-roc-${PV}:=
+	>=dev-libs/rocr-runtime-${PV}"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-2.6.0-install-correctly.patch"
+	"${FILESDIR}/${PN}-2.6.0-install-header.patch"
+)
+
+src_prepare() {
+	# remove unittest, because it downloads additional file from github.com
+	sed -e "s:add_subdirectory(src/unittest):#add_subdirectory(src/unittest):" -i CMakeLists.txt || die
+
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DLLVM_DIR="${EPREFIX}/usr/lib/llvm/roc/"
+		-DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr/"
+	)
+	cmake-utils_src_configure
+}


             reply	other threads:[~2019-08-14 20:54 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-14 20:54 Craig Andrews [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-09-30 15:23 [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocm-opencl-driver/ Craig Andrews
2019-10-05 14:32 Craig Andrews
2019-11-24 17:10 Craig Andrews
2019-11-24 18:21 Craig Andrews
2020-01-02 12:59 Craig Andrews

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1565816076.7a04b81d599fa2ed2d884517e8466ca9505fb8f1.candrews@gentoo \
    --to=candrews@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox